/*  libadfs - library to manipulate old BBC Micro/Master ADFS images
 *  Copyright (C) 2008  Ciaran Anscomb
 *
 *  See COPYING.GPL for redistribution conditions. */

#ifndef _ADFS_DIR_H_
#define _ADFS_DIR_H_

ADFS_DIR *ADFS_opendir_dirent(struct ADFS_dirent *ent);
ADFS_DIR *ADFS_opendir_fd(ADFS_FILE *fd);

int read_entire_directory(ADFS_DIR *dir);
int write_entire_directory(ADFS_DIR *dir);
int update_directory_entry(ADFS_DIR *dir, struct ADFS_dirent *ent);
int add_to_directory(ADFS_DIR *dir, struct ADFS_dirent *ent);
int remove_from_directory(ADFS_DIR *dir, int ent_index);

#endif  /* _ADFS_DIR_H_ */
