/*  libadfs - library to manipulate old BBC Micro/Master ADFS images
 *  Copyright (C) 2008  Ciaran Anscomb
 *
 *  See COPYING.GPL for redistribution conditions. */

#ifndef _ADFS_DIRENT_H_
#define _ADFS_DIRENT_H_

#include "adfs.h"

struct ADFS_dirent *dup_dirent(struct ADFS_dirent *ent);
struct ADFS_dirent *copy_dirent(struct ADFS_dirent *dst,
		struct ADFS_dirent *src);
int parent_dirent(struct ADFS_dirent *into, struct ADFS_dirent *ent);
int truncate_dirent(struct ADFS_dirent *ent, off_t length);

/* This is the basic "find a file or where it should be" function - returns
 * containing directory and pointer to (statically allocated) dirent for
 * file.  If file didn't exist, *entp will point to a dummy entry with
 * known data populated and parent_dir_index == -2.  */
int find_dir_and_ent(struct ADFS_disk *disk, const char *path,
		ADFS_DIR **dirp, struct ADFS_dirent **entp);

#endif  /* _ADFS_DIRENT_H_ */
